# $Revision: 1.11 $, $Date: 2006/12/23 17:10:15 $

%bcond_with     skey		# with S/KEY support

%define subver	alpha

Summary:	Tacacs+ Daemon
Summary(pl):	Demon Tacacs+
Name:		tac_plus
Version:	F4.0.3
Release:	0.alpha.9a.3
Epoch:		0
License:	BSD-like, GPL
Group:		Networking/Daemons
Source0:	http://www.gazi.edu.tr/tacacs/src/%{name}.%{version}.%{subver}.tar.Z
# Source0-md5:	451d92503b5832a848c1b76ce58a4636
Source1:	%{name}.cfg
Source2:	%{name}.init
Source3:	%{name}.pam
Source4:	README.PAM
Source5:	%{name}.sql
Source6:	%{name}.rotate
Source7:	README.LDAP
Source8:	%{name}.sysconfig
Patch0:		%{name}.patch
Patch1:		%{name}_v9a.patch
Patch2:		%{name}-mysql4.patch
Patch3:		%{name}-ldap-alt.patch
URL:		http://www.gazi.edu.tr/tacacs/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libwrap-devel
BuildRequires:	mysql-devel
BuildRequires:	openldap-devel
BuildRequires:	pam-devel
BuildRequires:	postgresql-devel
BuildRequires:	rpmbuild(macros) >= 1.268
%if %{with skey}
BuildRequires:	skey-static
%endif
Requires(post,preun):	/sbin/chkconfig
Requires(pre):	fileutils
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TACACS+ daemon using with Cisco's NASs (or other vendors) for AAA
(Authentication, Authorization and Accounting) propose.

%description -l pl
Demon TACACS+ uywany wraz z NAS-ami Cisco (lub innych producentw) do
celw uwierzytelniania, autoryzacji i rozliczania (AAA -
Authentication, Authorization and Accounting).

%prep
%setup -q -n %{name}.%{version}.%{subver}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

rm -f configure
install -p {%{SOURCE4},%{SOURCE5},%{SOURCE7}} .

%build
cp /usr/share/automake/config.sub .
%{__aclocal}
%{__autoconf}
%configure \
	--with-pam \
	--enable-maxsess \
	--with-libwrap \
	--with-db \
	--with-ldap \
	--with-pgsql \
	--with-mysql

# configure script have some options describe below
# --with-pam  : For PAM support
# --with-ldap : For LDAP support
# --with-db   : If you like to use db feature you must enable it
# --with-mysql: For MySQL database support
# --with-mysql-include-dir=PREFIX :  Mysql include path [default=/usr/include/mysql]
# --with-mysql-lib-dir=PREFIX  Mysql library path [default=/usr/lib/mysql]
# --with-pgsql		With PgSQL Support
# --with-pgsql-include-dir=PREFIX  PgSQL include path [default=/usr/include/pgsql]
# --with-pgsql-lib-dir=PREFIX  PgSQL library path [default=/usr/lib/pgsql]

# --enable-maxsess: For check concurrent logins
# --with-tacuid: If you like to run tac_plus specify UID
# --with-tacgid: If you like to run tac_plus specify GID
# --with-tacplus_pid=PREFIX  Tac_plus pid file location [default=/var/run]
# --with-libwrap[=PATH]   Compile in libwrap (tcp_wrappers) support
# --enable-finger	Enable finger at maxsess check

%{__make} \
	%{?with_skey:DEFINES="-DSKEY" LIBS="/usr/lib/libskey.a" INCLUDES="-I/usr/include/security/"} \
	tac_plus

%install
rm -rf $RPM_BUILD_ROOT

%{__make} rpm_install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_sysconfdir}/tacacs,/etc/{logrotate.d,pam.d,rc.d/init.d,sysconfig}}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/tac_plus
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/tacacs
install %{SOURCE3} $RPM_BUILD_ROOT/etc/pam.d/tac_plus
install %{SOURCE6} $RPM_BUILD_ROOT/etc/logrotate.d/tac_plus
install %{SOURCE8} $RPM_BUILD_ROOT/etc/sysconfig/tac_plus

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add tac_plus
%service tac_plus restart

%preun
if [ "$1" = "0" ]; then
	%service tac_plus stop
	/sbin/chkconfig --del tac_plus
fi

%files
%defattr(644,root,root,755)
%doc users_guide CHANGES convert.pl README.PAM tac_plus.sql README.LDAP
%attr(755,root,root) %{_sbindir}/generate_passwd
%attr(755,root,root) %{_sbindir}/tac_plus
%dir %{_sysconfdir}/tacacs
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/tacacs/tac_plus.cfg
%config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/tac_plus
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/tac_plus
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/tac_plus
%attr(754,root,root) /etc/rc.d/init.d/tac_plus
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tac_plus.spec,v $
Revision 1.11  2006/12/23 17:10:15  hawk
- release .3 to rebuild with PostgreSQL 8.2

Revision 1.10  2006/03/13 23:14:32  glen
- use %service

Revision 1.9  2005/11/22 16:37:53  mguevara
- rel. 0.alpha.9a.2 (ver F4.0.3) - added with skey bcond

Revision 1.8  2005/06/30 23:54:05  zbyniu
- build with db, mysql, postgres, ldap
- patches mysql4, ldap-alt.patch
- renamed sysconfig file to %{name}.sysconfig

Revision 1.7  2004/05/13 17:06:41  ankry
- spaces -> tabs, other cosmetics

Revision 1.6  2004/02/09 21:26:53  krzak
- License: BSD-like, GPL (patches)

Revision 1.5  2004/02/09 21:01:43  krzak
- sysconfig/tac_plus
- pam.d/tac_plus instead pam.d/pap
- rel .1

Revision 1.4  2004/01/20 09:58:29  krzak
- BR: automake
- copy config.sub from automake

Revision 1.3  2004/01/16 13:50:19  qboosh
- added Source0 URL, cleanups

Revision 1.2  2004/01/15 15:48:23  krzak
- req(post,preun) /sbin/chkconfig
- PreReq rc-scripts

Revision 1.1  2004/01/15 15:43:44  krzak
- initial
